# -*- perl -*-
use lib 't';
use strict;
use Test;
use TestConfig;

plan(tests => 7);

my %keywords = (
    core => {
	section => {
	    'retain-interval' => { mandatory => 1 },
	    'tempdir' => 1,
	    'verbose' => 1,
	}
    },
    backend => {
	section => {
	    file => 1
	}
    }
);

my $cfg = new TestConfig(parameters => \%keywords);
ok($cfg->isset('backend','foo','file'));
ok($cfg->isvariable('backend','foo','file'));
ok($cfg->get('backend','foo','file'), 'foo');

ok($cfg->isset('core', 'verbose') == 0);

ok($cfg->issection('backend','foo'));

$cfg->set('core','verbose','On');
ok($cfg->get('core','verbose'),'On');

$cfg->unset('core','tmpdir');
ok($cfg->isset('core','tmpdir') == 0);

__DATA__
# This is a sample configuration file    
[core]
	retain-interval = 10
	tempdir = /tmp
[backend foo]
	file = foo
